package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.mhfire.model.WlClxx;
import com.bizmatics.mhfire.service.WlClxxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**

 * 车辆详情
 * @author ya
 * @since 2021-11-26
 */
@RestController
@RequestMapping("/wlClxx")
public class WlClxxController {


    @Autowired
    public WlClxxService wlClxxService;

    /**
     * 车辆信息集合
     * @param zdCode 中队编号
     * @return
     */
    @GetMapping("list")
    public ApiResult<List<WlClxx>> list(@RequestParam String zdCode){
        return ApiResult.success(wlClxxService.list(zdCode));
    }
}

